
Foreman - Refactor #11216

Change rails default error messages to use the rails-i18n gem

07/27/2015 04:46 AM - Tomer Brisker

Status: Closed   

Priority: Normal   

Assignee: Tomer Brisker   

Category: Internationalization   

Target version: 1.10.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2579

  

Description

Currently, we use a local copy of the translations which is both partial and not updated if updates are added to the translations.

The gem is updated with translations that match the strings in the relevant rails version and contains many different locales that we

do not currently have.

Any strings that need overriding from the default translation can be overridden by adding the relevant file to config/locales.

This gem version needs to be upgraded when changing the rails major version.

Related issues:

Related to Foreman - Tracker #3157: Rails 4.1 upgrade tasks Closed 09/27/2013

Associated revisions

Revision a2576902 - 07/29/2015 09:00 AM - Dominic Cleal

refs #11216 - add rails-i18n dep

Revision 60f8b29b - 07/29/2015 09:00 AM - Tomer Brisker

Fixes #11216 - use rails-i18n gem for translating rails strings

Revision c180d74f - 08/07/2015 05:12 AM - Dominic Cleal

refs #11216 - remove update-rails from locale update steps

History

#1 - 07/27/2015 04:46 AM - Tomer Brisker

- Subject changed from Change rails default error messages to use the rails-18n gem to Change rails default error messages to use the rails-i18n gem

#2 - 07/27/2015 04:48 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2579 added

- Pull request deleted ()

#3 - 07/27/2015 04:49 AM - Tomer Brisker

- Related to Tracker #3157: Rails 4.1 upgrade tasks added

#4 - 07/29/2015 09:01 AM - Dominic Cleal

- translation missing: en.field_release set to 63

#5 - 07/29/2015 10:02 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 60f8b29b98ca91e6ce788e5f5ec0f7523e454b2d.
